Retrieve a list
Returns a filtered list of access clockings.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/access-clockings
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-access-clockings.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the access clocking. |
person.id |
integer | — | Read-only | Internal ID of the person who performed the clocking. |
date |
string | — | Read-only | Date of the access clocking (YYYY-MM-DD). |
timeOfDayInMinutes |
integer | — | Read-only | Minutes since midnight (0 to 1439) representing the time of the clocking on the specified date. |
terminal.id |
integer | — | Read-only | Internal ID of the terminal on which the clocking occurred. |
status |
string | — | Read-only | Result of the access attempt (AccessOk, AccessRefused, WrongPinCode, AlarmCode, AntiPassbackError, OutZone, UnknownBadgeNumber). |
Filters
| Filter | Type | Description |
|---|---|---|
person |
Optional | Filter by specific person IDs |
date |
Required | Date range (required with max of 1 year range) |
Check the Fetching Resources page on how to use the filter.
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
terminals |
@external-code |
Supported |
Caution
There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
414 |
Request URI too long (filter + continuation token) |
Examples
Filter on date range
Example with a date range:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/access-clockings?filter=date ge '2025-01-01' and date le '2026-01-01'
Filter on people and a date range with external reference
Example with people, a date range and the employee number as an external reference:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/access-clockings?filter=person in (1,2,3) and date ge '2025-01-01' and date le '2026-01-01' &externalReferences=(people,@employee-number)